<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Обменник';
aut();
head();
who_add(0,'enter');
###############Проверка переменных###############

$file = check(intval($_GET['file']));
###############Получаем инфу о файле###########
$d = @$db->sql_fetchrow($db->sql_query('SELECT * FROM `fo_files` WHERE `id` = '.$file.' LIMIT 1'));

if(file_exists($d['path'])){
$cat2 = @$db->sql_fetchrow($db->sql_query("select * from  `fo_cat2` where path = '".$d['infolder']."'" ));
$cat = @$db->sql_fetchrow($db->sql_query("select * from  `fo_cat` where id = '".$cat2['fid']."'" ));
echo menu.'<a href="/fo">Oбменник</a>|<a href="/fo/'.$cat['id'].'">'.$cat['name'].'</a>|<a href="/fo/'.$cat['id'].'/'.$cat2['id'].'">'.$cat2['name'].'</a>'.div;


if(empty($d['pass'])||$_GET['pass']==$d['pass']){
$db->sql_query('UPDATE `fo_files` SET `loads`=`loads`+1, `timeload`='.$time.' WHERE `id`='.$file);
$tex2=$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']).'/'.$d['path'];
$tex2=str_replace('\/','/',$tex2);
header('Location: http://'.$tex2,true,301);
}else{
if($d['pass']!=$_POST['pass']){
$buy_ok = '';
if(isset($_GET['buy'])){
if ($user['rur']<$d['price']){$buy_ok = 'Недостаточно средств!';
}else{
// Забераем рубли
$rur = $user['rur']-$d['price'];
$db->sql_query('UPDATE `users` SET `rur` = "'.$rur.'" WHERE `id` = "'.$user['id'].'"');
// Начисляем рубли
$rur2 = user_inf($d['user_id'],'rur')+$d['price'];
$db->sql_query('UPDATE `users` SET `rur` = "'.$rur2.'" WHERE `id` = "'.$d['user_id'].'"');

$buy_ok = $d['pass'];
}

}
if(isset($_POST['pass']))echo '<b>Неверный пароль!</b><br />';
echo 'Файл защищен паролем!<br />';
if($d['price']!=0&&$buy_ok=='')echo '<a href="?buy">Купить пароль('.$d['price'].' рублей)</a><br />';
if ($ver!='wml')echo '<form action="?'.SID.'" method="post">';

echo 'Пароль:<br/>';
echo '<input type="text" name="pass" value="'.$buy_ok.'" maxlength="50" title="Пароль"/><br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Скачать<go href="?'.SID.'" method="post">';
echo '<postfield name="pass" value="$pass"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Скачать"/></form><br /><br />';
}
echo "<br/>";
echo gb.'<a href="/fo">Обменник</a>'.div;
echo gb.'<a href="/enter">Прихожая</a>'.div;

foot();
}else{

$db->sql_query('UPDATE `fo_files` SET `loads`=`loads`+1, `timeload`='.$time.' WHERE `id`='.$file);
$tex2=$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']).'/'.$d['path'];
$tex2=str_replace('\/','/',$tex2);
header('Location: http://'.$tex2,true,301);

}



}

}
else{
echo 'Ошибка!';
}
?>